Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2181 - virtual hosts is undocumented default binding address
Summary: virtual hosts is undocumented default binding address
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 17:41 UTC by kermit
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-09 20:18:18 UTC


Attachments (Terms of Use)

Description kermit 1999-04-14 17:41:09 UTC
I had problems on site, I traced it to the inetd binary. I
examined the source in netkit-base-0.11+ and
found an undocumented field in the configuration scan of
/etc/inetd.conf which if empty binds INADDR_ANY as the
address of the directed service.

 gosh, I guess that means that if tftp is enabled for any
address on a machine, then it is enable to all aliased
address on a machine.

  Is this just an undocumented feature?

char rcsid[] =
  "$Id: inetd.c,v 1.19 1997/09/23 09:16:40 dholland Exp
dholland $";
char pkg[] = "netkit-base-0.10";

 function getconfigent
  bounded by comments   /VIRTUAL HOSTING /

  this represents a major security back door into every
 RH machine, does it not?


/

Comment 1 Jeff Johnson 1999-08-09 20:18:59 UTC
This was the OpenBSD version of inetd that has been reverted
to netkit-base-0.10.


Note You need to log in before you can comment on or make changes to this bug.